unit MainUnit;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param,
  FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf,
  FireDAC.Stan.StorageBin, Data.Bind.EngExt, Fmx.Bind.DBEngExt,
  System.Rtti, System.Bindings.Outputs, Fmx.Bind.Editors,
  Data.Bind.Controls, Data.Bind.Components, FMX.DateTimeCtrls, FMX.Layouts,
  Fmx.Bind.Navigator, FMX.ScrollBox, FMX.Grid, Data.Bind.Grid,
  Data.Bind.DBScope, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Edit, FMX.ListView.Types,
  FMX.ListView.Appearances, FMX.ListView.Adapters.Base, FMX.ListView;

type

  TMainForm = class(TForm)
    Label1: TLabel;
    FDMemTable1: TFDMemTable;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    BindNavigator1: TBindNavigator;
    DateEdit1: TDateEdit;
    TimeEdit1: TTimeEdit;
    BindLinkTime: TBindLink;
    BindLinkDate: TBindLink;
    ListView1: TListView;
    LinkListControlToField1: TLinkListControlToField;
    Layout1: TLayout;
    procedure DateEdit1ClosePicker(Sender: TObject);
    procedure FDMemTable1NewRecord(DataSet: TDataSet);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.fmx}

procedure TMainForm.DateEdit1ClosePicker(Sender: TObject);
begin
// changer la Date via le Picker remet  Time  0:00
// on doit donc r-initialiser Time avec la valeur de TimeEdit
DateEdit1.Time:=TimeEdit1.Time;
end;

procedure TMainForm.FDMemTable1NewRecord(DataSet: TDataSet);
begin
FDMemTable1.FieldByName('TimeStampTest').AsDateTime:=Now;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
{$IF Defined(ANDROID) or Defined(IOS)}
Label1.Visible:=True;
TimeEdit1.TimeFormatKind:=TDTFormatKind.Short; //  vrifier pour IOS
{$ENDIF}
end;

end.
